Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Portable_Group_Map.h File Reference

`#include "ace/Null_Mutex.h"`
`#include "ace/Hash_Map_Manager_T.h"`
`#include "portablegroup_export.h"`
`#include "orbsvcs/PortableGroupC.h"`
`#include "tao/Object_KeyC.h"`

Include dependency graph for Portable_Group_Map.h:

This graph shows which files directly or indirectly include this file:

## Compounds
struct | Map_Entry
| Value field of the portable group map. More...
class | TAO_GroupId_Equal_To
| Hashing class for Group Ids. More...
class | TAO_GroupId_Hash
| Hashing class for Group Ids. More...
class | TAO_Portable_Group_Map
| Map of GroupIds to ObjectKeys. More...

## Detailed Description

Id:
  Portable_Group_Map.h,v 1.11 2004/01/02 20:16:11 elliott_c Exp

Author:
  Frank Hunleth <fhunleth@cs.wustl.edu>